org.apache.ignite.client.events

## Class ConnectionEvent

- java.lang.Object
- - org.apache.ignite.client.events.ConnectionEvent

Direct Known Subclasses:
  ConnectionClosedEvent, HandshakeFailEvent, HandshakeStartEvent, HandshakeSuccessEvent

    public abstract class ConnectionEvent
    extends Object

### Constructor Summary

Constructors
`protected` `ConnectionEvent(ConnectionDescription conn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionDescription` `connectionDescription()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionEvent

    protected ConnectionEvent(ConnectionDescription conn)

Parameters:
  `conn` - Connection description.

### Method Detail

#### connectionDescription

    public ConnectionDescription connectionDescription()

Returns:
  Connection description.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023